--- a/ryzom_api/functions_common.php	2009-07-10 10:52:59.000000000 +0000
+++ b/ryzom_api/functions_common.php	2009-07-15 21:18:44.000000000 +0000
@@ -78,24 +78,41 @@
 	ryzom_log("$text: $dt ms");
 }
 
+// for PHP4 from http://us.php.net/manual/en/function.file-put-contents.php#68329
+if ( !function_exists('file_put_contents') && !defined('FILE_APPEND') ) {
+	define('FILE_APPEND', 1);
+	function file_put_contents($n, $d, $flag = false) {
+		$mode = ($flag == FILE_APPEND || strtoupper($flag) == 'FILE_APPEND') ? 'a' : 'w';
+		$f = @fopen($n, $mode);
+		if ($f === false) {
+			return 0;
+		} else {
+			if (is_array($d)) $d = implode($d);
+			$bytes_written = fwrite($f, $d);
+			fclose($f);
+			return $bytes_written;
+		}
+	}
+}
+
+
 $ryzom_bench = 0;
-$ryzom_fp = 0;
+$ryzom_fp = false;
 function ryzom_log_start($api_name) {
 	global $ryzom_bench, $ryzom_fp;
 	if(!file_exists('log')) mkdir('log');
-	$ryzom_fp = fopen("log/$api_name.log", 'a');
+	$ryzom_fp = "log/$api_name.log";
 	$ryzom_bench = ryzom_bench_start();
 }
 
 function ryzom_log_end() {
-	global $ryzom_bench, $ryzom_fp;
+	global $ryzom_bench;
 	ryzom_bench_end($ryzom_bench, 'total');
-	if($ryzom_fp) fclose($ryzom_fp);
 }
 
 function ryzom_log($str) {
 	global $ryzom_fp;
-	if($ryzom_fp) fwrite($ryzom_fp, date("Y-m-d H:i:s") .' '. $_SERVER['REMOTE_ADDR'] .' '. $_SERVER['REQUEST_URI'] ." $str\n");
+	if($ryzom_fp!==false) file_put_contents($ryzom_fp, date("Y-m-d H:i:s") .' '. $_SERVER['REMOTE_ADDR'] .' '. $_SERVER['REQUEST_URI'] ." $str\n", FILE_APPEND);
 }
 
-?>
\ No newline at end of file
+?>
